%define name gdal-grass
%define version 1.4.3
%define release %mkrel 3
%define grasspath %{_libdir}/grass62

Summary: 	GRASS plugin extension for the Geospatial Data Abstraction Library and OGR
Name:    	%name
Version: 	%version
Release: 	%release
Source0: 	http://download.osgeo.org/gdal/%{name}-%{version}.tar.gz
Patch:		gdal-grass-1.3.1-fix-install-prefix.patch
License: 	MIT
Group:   	Sciences/Geosciences
URL:     	http://www.gdal.org/

BuildRequires: proj-devel, zlib-devel, gdal-devel >= 1.3.1, grass
Requires: gdal >= 1.3.1
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
This package contains the GRASS support (plugin) for
the GDAL/OGR libraries.

%prep
%setup -q
%patch -p1 -b .destdir

%build
export LD_LIBRARY_PATH=%{grasspath}/%_lib
%configure \
  --with-grass=%{grasspath}  \
  --with-autoload=%{_libdir}/gdalplugins
%make

%install
rm -Rf %{buildroot}
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libdir}/gdalplugins/gdal_GRASS.so
%{_libdir}/gdalplugins/ogr_GRASS.so
%{_datadir}/gdal/grass/
%doc README



%changelog
* Sat Feb 09 2008 Emmanuel Andry <eandry@mandriva.org> 1.4.3-3mdv2008.1
+ Revision: 164546
- rebuild for new gdal

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Sep 07 2007 Anssi Hannula <anssi@mandriva.org> 1.4.3-2mdv2008.0
+ Revision: 82014
- rebuild for new soname of tcl

* Wed Sep 05 2007 Buchan Milne <bgmilne@mandriva.org> 1.4.3-1mdv2008.0
+ Revision: 80438
- New version 1.4.3
- Updates from Markus Neteler (#33150)


* Thu Aug 31 2006 Buchan Milne <bgmilne@mandriva.org> 1.3.2-1mdv2007.0
- 1.3.2

* Thu Mar 23 2006 Buchan Milne <bgmilne@mandriva.org> 1.3.1.2-1mdk
- initial Mandriva package

